org.apache.ode.utils.http

## Class HttpUtils

- java.lang.Object
- - org.apache.ode.utils.http.HttpUtils

-     public class HttpUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.regex.Pattern` | `TEXT_MIME_TYPE_PATTERN`
    `static java.lang.String` | `TEXT_MIME_TYPE_REGEX`
    `static java.util.regex.Pattern` | `XML_MIME_TYPE_PATTERN`
    `static java.lang.String` | `XML_MIME_TYPE_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `bodyAllowed(int status)` Per RFC 2616 section 4.3, some responses can never contain a message body.
    `static boolean` | `isText(java.lang.String contentType)`
    `static boolean` | `isXml(java.lang.String contentType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_MIME_TYPE_REGEX

          public static final java.lang.String XML_MIME_TYPE_REGEX

      See Also:
        Constant Field Values

    - #### TEXT_MIME_TYPE_REGEX

          public static final java.lang.String TEXT_MIME_TYPE_REGEX

      See Also:
        Constant Field Values

    - #### XML_MIME_TYPE_PATTERN

          public static final java.util.regex.Pattern XML_MIME_TYPE_PATTERN

    - #### TEXT_MIME_TYPE_PATTERN

          public static final java.util.regex.Pattern TEXT_MIME_TYPE_PATTERN

  - ### Constructor Detail

    - #### HttpUtils

          public HttpUtils()

  - ### Method Detail

    - #### isXml

          public static boolean isXml(java.lang.String contentType)

    - #### isText

          public static boolean isText(java.lang.String contentType)

    - #### bodyAllowed

          public static boolean bodyAllowed(int status)

      Per RFC 2616 section 4.3, some responses can never contain a message body.
      Parameters:
        `status` - - the HTTP status code
      Returns:
        `true` if the message may contain a body, `false` if it can not contain a message body